---
name: maxiv-jhub-hpc-environment-matlab
channels:
    # For most modules
    - conda-forge
dependencies:
    # Only specifc versions python are supported for the matlab python
    # binding, currently: 2.7, 3.5, 3.6
    # → python 3.6.0 is incompatible with websockets
    # → python 3.6.11 seems to work with matlab R2019b-miv
    - python==3.6.11
    - ipykernel==5.5.5
    # HDF5 plugins
    - bitshuffle=0.3.5
    - hdf5plugin=3.1.1
    # modules installed via pip
    - pip=21.3.1
    - pip:
          - matlab-kernel==0.17.1
